For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
  • Data Export (v1.4)
    • Overview
    • Conversations
    • Messages
      • GETReturn messages matching the parameters
Login
LogoLogo
Data Export (v1.4)Messages

Return messages matching the parameters

GET
https://example.ada.support/data_api/v1.4/messages
GET
/data_api/v1.4/messages
1import requests
2
3url = "https://example.ada.support/data_api/v1.4/messages"
4
5querystring = {"created_since":"created_since"}
6
7headers = {"Authorization": "Bearer <token>"}
8
9response = requests.get(url, headers=headers, params=querystring)
10
11print(response.json())
1{
2 "data": [
3 {
4 "_id": "5d8a7d080afd19b55945c8ab",
5 "answer_id": "6392e0f865ba38041ddd5966",
6 "answer_title": "Greeting",
7 "chatter_id": "6009dd3c81dfae3a4e990acb",
8 "conversation_id": "5dba43ebedb828146bc871b6",
9 "date_created": "2019-10-31T14:28:02.865000+00:00",
10 "link_was_clicked": false,
11 "message_data": {
12 "_type": "greeting",
13 "external_chat_id": "<uuid_v4_id>",
14 "reviewable_message": false
15 },
16 "recipient": "ada",
17 "record_last_updated": "2019-10-31T14:28:02.865000+00:00",
18 "review": 0,
19 "sender": "b9e51eae-5449-4a46-b6ce-aef2dcb4e067",
20 "in_response_to": "6392e0f865ba38041ddd5966"
21 }
22 ],
23 "message": "OK",
24 "next_page_uri": "/data_api/v1.4/messages?created_since=2019-12-10T20:20:07.308000%2B00:00"
25}

Returns a list of message objects along with a status message and next_page_uri if applicable.

Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

created_sincestringRequiredformat: "date-time"

Return records that were created after this date. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

conversation_idstring or nullOptional

Return records with a conversation_id that matches this id.

page_sizeintegerOptional100-10000Defaults to 10000
Number of records to return in response. The maximum and default is 10000, the minimum is 100.
created_tostring or nullOptionalformat: "date-time"

Return records that were created earlier than this date. If not specified, this value defaults to 7 days after created_since. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

Response

Ada successfully processed the request.
datalist of objects
Records returned from the query
messagestring
Request status message
next_page_uristring
Relative link to the next page of results matching the query

Errors

400
Bad Request Error
408
Request Timeout Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error